Create Partner
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/partners"
payload = {
"name": "<string>",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_person: '<string>',
cooperation_start_date: '2023-12-25'
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"name": "<string>",
"category": "compliance",
"service_type": "legal",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25",
"id": "<string>",
"tenant_id": "<string>",
"total_revenue": 1,
"total_profit": 1,
"service_count": 1,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"last_active_date": "2023-12-25",
"status": "active",
"created_by": "<string>",
"updated_by": "<string>",
"category_label": "<string>",
"service_type_label": "<string>",
"status_label": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
Create Partner
POST
/
api
/
ecosystem
/
partners
Create Partner
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/partners"
payload = {
"name": "<string>",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_person: '<string>',
cooperation_start_date: '2023-12-25'
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"name": "<string>",
"category": "compliance",
"service_type": "legal",
"contact_person": "<string>",
"cooperation_start_date": "2023-12-25",
"id": "<string>",
"tenant_id": "<string>",
"total_revenue": 1,
"total_profit": 1,
"service_count": 1,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"email": "<string>",
"description": "<string>",
"last_active_date": "2023-12-25",
"status": "active",
"created_by": "<string>",
"updated_by": "<string>",
"category_label": "<string>",
"service_type_label": "<string>",
"status_label": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json